///
/// @file  main.cpp
/// @param Project: TestGraph
/// @author Erik Zorzin
/// @date 25NOV2015
///

const unsigned      WIDTH = 640;                                                                                                // Window width [px].
const unsigned int  HEIGHT = 480;                                                                                               // Window height [px].

#include "GUI.hpp"

/*!
 @brief "main" function. It instantiates the GUI object and make the application running.
 */
int main(int argc, char** argv)
{
    TTimer          *PlotTimer;                                                                                                 // Timer for plotting graphs.
    TApplication    *Application;                                                                                               // Application.
    GUI             *GUI;                                                                                                       // GUI.
    
    Application = new class TApplication("TestGraph", &argc, argv);                                                              // Instantiating Application...
    GUI = new class GUI(gClient->GetRoot(), WIDTH, HEIGHT);                                                                     // Instantiating GUI...
    PlotTimer = new class TTimer(20);                                                                                           // Instantiating PlotTimer [ms]...
    PlotTimer->Connect("Timeout()", "GUI", GUI, "Plot()");                                                                      // Connecting PlotTimer->Timeout() to GUI->Plot()...
    PlotTimer->TurnOn();                                                                                                        // Starting PlotTimer...
    Application->Run();                                                                                                         // Running the application...
    
    return 0;                                                                                                                   // Returning SUCCESS...
}